// test.cpp - Miembros que son punteros
#include <iostream>
#include <iomanip>
#include "vector.h"
using namespace std;

void fnVectores();
void fnVisualizar(const CVector&);

int main()
{
  CVector vector1, vector2(5);
  fnVisualizar(vector1);
  fnVisualizar(vector2);
  CVector vector3 = vector2;
  fnVisualizar(vector3);
  fnVectores();
  cout << "fin del programa\n";
}

void fnVectores()
{
  double x[] = { 1, 2, 3, 4, 5, 6, 7 }; // matriz primitiva
  CVector vector4(x, sizeof(x)/sizeof(double));
  fnVisualizar(vector4);
  CVector *pvector5 = new CVector(10);
  fnVisualizar(*pvector5);
  CVector vector6 = *pvector5;
  fnVisualizar(vector6);
  delete pvector5; // también: pvector5->CVector::~CVector();
}
/*
void fnVisualizar(const CVector& vector)
{
  int ne = vector.longitud();
  for (int i = 0; i < ne; i++)
    cout << setw(7) << vector.elemento(i);
  cout << "\n\n";
}
*/
void fnVisualizar(const CVector& v)
{
  int ne = v.longitud();
  for (int i = 0; i < ne; i++)
    cout << setw(7) << v.vector[i];
  cout << "\n\n";
}

